Hotfixes for opsi 4.0/4.1 stable

Benutzeravatar
m.scalese
Beiträge: 31
Registriert: 22 Aug 2014, 09:13

Hotfixes for opsi 4.0/4.1 stable

Beitragvon m.scalese » 25 Jun 2018, 16:58

Dear opsi users,

In the current opsi-client-agent package several errors have been detected:

- opsiclientd_eventstarter.exe was not included in the package.
- The changelog was removed from the control file, since it caused problems when installing on the opsi server.
- The service_setup.cmd had problems with current Windows 10 1803 releases with "Start as administrator". The script has been modified to use Powershell.

We deliver version 4.1.0.0-11 as stable and testing in which these problems have been fixed.

as always, kind regards.

Martin Scalese of uib gmbh.

Changelogs:
=============================
opsi-client-agent (4.1.0.0-11) stable; urgency=low

* setup412: oca_create_client(): no scripted login by fqdn/hostkey
* setup412: oca_write_configuration() : set rigts to c:\opsi.org\applog c:\opsi.org\usertemp
* setup412: oca_clean_up() more code and dir cleanup
* service_setup.cmd: create and use powershell script to start opsi-script elevated ....

-- Detlef Oertel <d.oertel@uib.de> Mon, 08 Jun 2018:15:00:00 +0200

opsi-client-agent (4.1.0.0-10) stable; urgency=low

* changelog moved from control to changelog.txt

-- Detlef Oertel <d.oertel@uib.de> Fri, 08 Jun 2018:15:00:00 +0200

opsi-client-agent (4.1.0.0-9) stable; urgency=low

* fix missing opsiclientd_eventstarter.exe
* fix in deffunc oca_create_client(): try user/pass from config.ini
* fix in oca_clean_up(): cleanup "%opsiTmpDir%\opsi"

-- Detlef Oertel <d.oertel@uib.de> Thu, 07 Jun 2018:15:00:00 +020
=============================
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.

http://www.uib.de

Benutzeravatar
SisterOfMercy
Beiträge: 917
Registriert: 22 Jun 2012, 19:18

Re: Hotfixes for opsi 4.0/4.1 stable

Beitragvon SisterOfMercy » 26 Jun 2018, 14:24

[quote="m.scalese"]The service_setup.cmd had problems with current Windows 10 1803 releases with "Start as administrator". The script has been modified to use Powershell.[/quote]

Does every system have powershell? I'm not sure if Windows XP and 2003 have it by default (which are still supported according to the 4.1 release notes).

Have you tested with RunAsToken and RunAsSystem?
Bitte schreiben Sie Deutsch, when I'm responding in the German-speaking part of the forum!

Benutzeravatar
ueluekmen
Beiträge: 1880
Registriert: 28 Mai 2008, 10:53

Re: Hotfixes for opsi 4.0/4.1 stable

Beitragvon ueluekmen » 26 Jun 2018, 16:05

Hi Sister,

SisterOfMercy hat geschrieben: Windows XP and 2003


Good point, we have testet it with win7 in the smallest requirement. We will do the tests with older versions soon.

SisterOfMercy hat geschrieben:RunAsToken and RunAsSystem


We have tried many ways to workarround the issue. We will discuss this feedback internal. The hotfix was not caused by service_setup.cmd, it was a hitfix because the opsiclientd_eventstarter was missing in stable and in some environments we had problems to install the stable opsi-client-agent package on the opsi-server, because the changelog was too long.

We will discuss the open points and will answer on this post again, if you see anything else feel free to feedback ;).
opsi support - uib gmbh
For productive opsi installations we recommend support contracts.
http://www.uib.de